import { Component, h, Element, Event, Prop, State } from '@stencil/core';
import { getMaxLengthValidator } from '../../validators/formValue-validator';
export class AnnexesListModal {
  constructor() {
    this.selectValue = '0';
  }
  closeModalHandler() {
    this.close.emit();
  }
  handleSecondSelect(event) {
    this.selectValue = event.target.value;
  }
  handleChange(event) {
    this.value = event.target ? event.target.value : null;
  }
  handleSubmit(e) {
    var _a;
    e.preventDefault();
    let request;
    if (this.observacionVisible) {
      request = {
        indexRad: this.indexRad,
        radicado_principal: this.radicado_principal,
        radicado_anexo: this.datosAnnexesListModal.radicado_anexo,
        task_id: this.datosAnnexesListModal.task_id,
        instance_process_id: this.datosAnnexesListModal.instance_process_id,
        instance_process_id_parent: this.datosAnnexesListModal.instance_process_id_parent,
        observacion: this.value || ((_a = this.datosAnnexesListModal) === null || _a === void 0 ? void 0 : _a.observacion),
        opcion: this.selectValue,
      };
    }
    else {
      request = {
        indexRad: this.indexRad,
        radicado_principal: this.radicado_principal,
        radicado_anexo: this.datosAnnexesListModal.radicado_anexo,
        task_id: this.datosAnnexesListModal.task_id,
        instance_process_id: this.datosAnnexesListModal.instance_process_id,
        instance_process_id_parent: this.datosAnnexesListModal.instance_process_id_parent,
        opcion: this.selectValue,
      };
    }
    this.changedSubmit.emit(request);
  }
  render() {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l;
    this._validator = getMaxLengthValidator(200);
    return (h("form", { onSubmit: e => this.handleSubmit(e) }, this.modalConsultar ? (h("div", { class: "containerModal" },
      h("div", { class: "row text-right" },
        h("div", { class: "col-md-1 offset-md-11" },
          h("button", { type: "button", class: "btnClose", "aria-label": "Close", onClick: this.closeModalHandler.bind(this) },
            h("span", { "aria-hidden": "true" }, "\u00D7")))),
      h("div", { class: "row" },
        h("h1", null, this.titulo)),
      h("div", { class: "row mb-4" }, ((_a = this.datosAnnexesListModal) === null || _a === void 0 ? void 0 : _a.opcion) ? (h("div", { class: "col-md-12" },
        h("h3", { class: "subtituloModal" }, "Estado"),
        h("p", { class: "textoModal" }, (_b = this.datosAnnexesListModal) === null || _b === void 0 ? void 0 : _b.opcion))) : null),
      this.observacionVisible ? (h("div", { class: "row mb-4" }, ((_c = this.datosAnnexesListModal) === null || _c === void 0 ? void 0 : _c.observacion) ? (h("div", { class: "col-md-12" },
        h("h3", { class: "subtituloModal" }, "Observaciones"),
        h("p", { class: "textoModal" }, (_d = this.datosAnnexesListModal) === null || _d === void 0 ? void 0 : _d.observacion))) : null)) : (h("div", null)))) : (h("div", { class: "containerModal" },
      h("div", { class: "row text-right" },
        h("div", { class: "col-md-1 offset-md-11" },
          h("button", { type: "button", class: "btnClose", "aria-label": "Close", onClick: this.closeModalHandler.bind(this) },
            h("span", { "aria-hidden": "true" }, "\u00D7")))),
      h("div", { class: "row" },
        h("h1", null, this.titulo)),
      h("div", { class: "row mb-4" },
        h("div", { class: "col-md-12" },
          h("div", { class: "scrd-dropdown" },
            h("select", { onInput: event => this.handleSecondSelect(event), required: true },
              ((_e = this.datosAnnexesListModal) === null || _e === void 0 ? void 0 : _e.opcion) ? (h("option", { value: 0 }, "Seleccione una opci\u00F3n...")) : (h("option", { value: 0, selected: true }, "Seleccione una opci\u00F3n...")),
              ((_f = this.datosAnnexesListModal) === null || _f === void 0 ? void 0 : _f.opcion)
                ? (_h = (_g = this.datosAnnexesListModal) === null || _g === void 0 ? void 0 : _g.selectOptions) === null || _h === void 0 ? void 0 : _h.map(recipient => {
                  var _a;
                  return (h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.name, selected: ((_a = this.datosAnnexesListModal) === null || _a === void 0 ? void 0 : _a.opcion) === (recipient === null || recipient === void 0 ? void 0 : recipient.name) }, recipient === null || recipient === void 0 ? void 0 : recipient.name));
                })
                : (_k = (_j = this.datosAnnexesListModal) === null || _j === void 0 ? void 0 : _j.selectOptions) === null || _k === void 0 ? void 0 : _k.map(recipient => h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.name }, recipient === null || recipient === void 0 ? void 0 : recipient.name))),
            h("span", { class: "focus" })))),
      this.observacionVisible ? (h("div", { class: "row mb-4" },
        h("div", { class: "col-md-12" },
          h("div", { class: "scrd-form-field" },
            h("span", { class: "scrd-span-input" }, "Observaciones"),
            h("input", { type: "text", value: (_l = this.datosAnnexesListModal) === null || _l === void 0 ? void 0 : _l.observacion, onInput: event => this.handleChange(event), class: "scrd-input", placeholder: 'Escriba aquí una observación de máximo 200 caracteres' })),
          !this._validator.validate(this.value) ? h("span", { class: "validation-error" }, this._validator.errorMessage) : null))) : (h("div", null)),
      h("div", { class: "row" },
        h("div", { class: "col-md-12 text-center" },
          h("button", { class: "button button1", type: "submit", disabled: this.selectValue !== '0' && this._validator.validate(this.value) ? false : true }, "Guardar")))))));
  }
  static get is() { return "annexes-list-modal"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["annexes-list-modal.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["annexes-list-modal.css"]
  }; }
  static get properties() { return {
    "datosAnnexesListModal": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "modelModal",
        "resolved": "modelModal",
        "references": {
          "modelModal": {
            "location": "import",
            "path": "../../interface/annexes-list/annexes-list.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "titulo": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "titulo",
      "reflect": false
    },
    "observacionVisible": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "observacion-visible",
      "reflect": false
    },
    "modalConsultar": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "modal-consultar",
      "reflect": false
    },
    "radicado_principal": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "radicado_principal",
      "reflect": false
    },
    "indexRad": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "index-rad",
      "reflect": false
    }
  }; }
  static get states() { return {
    "value": {},
    "selectValue": {}
  }; }
  static get events() { return [{
      "method": "changedSubmit",
      "name": "changedSubmit",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "close",
      "name": "close",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get elementRef() { return "modalEle"; }
}
