import { Component, h, Prop, State, Event, Element, Listen } from '@stencil/core';
export class AnnexesList {
  constructor() {
    this.idAnexos = 0;
    this.flagAnexosTrd = true;
    this.anexosFiltrados = true;
    this.secondSelectValue = '-1';
  }
  onFileChange(event) {
    const requestArchivo = {
      file: event,
      tipo: this.secondSelectValue,
    };
    this.fileChanged.emit(requestArchivo);
  }
  radioChange(event, tipo) {
    const datos = {
      event,
      tipo,
    };
    this.radioChanged.emit(datos);
  }
  downloadRadChange(event) {
    this.downloadRadChanged.emit(event);
  }
  downloadChange(event) {
    this.downloadAnnexeChanged.emit(event);
  }
  showList(id) {
    this.idAnexos = id;
  }
  hideList() {
    this.idAnexos = null;
  }
  removeFile(codigo) {
    this.removeFileChanged.emit(codigo);
  }
  reportPdf() {
    this.reportChanged.emit(true);
  }
  guardarVerificar() {
    var _a;
    const datosAnexosVerificados = ((_a = this.anexosVerificados) === null || _a === void 0 ? void 0 : _a.map(({ instance_process_id, observacion, opcion, radicado, task_id, radicado_numero }) => {
      return {
        instance_process_id: instance_process_id,
        observacion: observacion || '',
        opcion: opcion,
        radicado: radicado,
        task_id: task_id,
        radicado_principal: radicado_numero,
      };
    })) || [];
    this.annexesVerified.emit(datosAnexosVerificados);
  }
  submitModalHandler(dato) {
    var _a, _b, _c, _d, _e, _f;
    const newArray = (_c = (_b = (_a = this.anexosFiltrados) === null || _a === void 0 ? void 0 : _a.filter(x => { var _a; return x.radicado_numero === ((_a = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _a === void 0 ? void 0 : _a.radicado_numero); })[0]) === null || _b === void 0 ? void 0 : _b.anexos_radicados) === null || _c === void 0 ? void 0 : _c.filter(y => { var _a; return y.anexo_codigo === ((_a = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _a === void 0 ? void 0 : _a.radicado); });
    newArray[0].opcion = (_d = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _d === void 0 ? void 0 : _d.opcion;
    newArray[0].observacion = (_e = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _e === void 0 ? void 0 : _e.observacion;
    this.anexosVerificados = this.anexosVerificados || [];
    const indexAnexos = this.anexosVerificados
      .map(function (e) {
      return e.radicado;
    })
      .indexOf(dato.detail.radicado);
    if (indexAnexos === -1) {
      this.anexosVerificados.push(dato.detail);
    }
    else {
      this.anexosVerificados.splice(indexAnexos, 1, dato.detail);
    }
    this.idAnexos = null;
    this.idAnexos = (_f = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _f === void 0 ? void 0 : _f.indexRad;
  }
  filterExpedient() {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p;
    if (!((_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.expAll)) {
      if (((_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.expTrd) != null || ((_f = (_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.expediente) === null || _f === void 0 ? void 0 : _f.expTrd) != undefined) {
        const allowed = (_j = (_h = (_g = this.datosRadAnexos) === null || _g === void 0 ? void 0 : _g.expediente) === null || _h === void 0 ? void 0 : _h.expTrd) === null || _j === void 0 ? void 0 : _j.split(',');
        this.anexosFiltrados = (_m = (_l = (_k = this.datosRadAnexos) === null || _k === void 0 ? void 0 : _k.expediente) === null || _l === void 0 ? void 0 : _l.expediente_radicados) === null || _m === void 0 ? void 0 : _m.filter(element => {
          var _a;
          const anexoList = (_a = element === null || element === void 0 ? void 0 : element.anexos_radicados) === null || _a === void 0 ? void 0 : _a.filter(anexo => {
            return allowed.find(obj => obj === anexo.anexo_tipo_documental_nombre.toUpperCase());
          });
          if (anexoList.length > 0) {
            element.anexos_radicados = anexoList;
            return element.anexos_radicados;
          }
        });
        this.flagAnexosTrd = false;
      }
      else {
        this.anexosFiltrados = [];
      }
    }
    else {
      this.anexosFiltrados = (_p = (_o = this.datosRadAnexos) === null || _o === void 0 ? void 0 : _o.expediente) === null || _p === void 0 ? void 0 : _p.expediente_radicados;
    }
  }
  handleSecondSelect(event) {
    this.secondSelectValue = event.target.value;
  }
  openModal(radicado_anexo, opcion, selectOptions, observacion, instance_process_id, task_id, radicado_principal, index) {
    var _a, _b, _c, _d;
    const list = this.element.shadowRoot;
    const modal = list.querySelector('annexes-modal-bundle');
    modal.observacion = observacion;
    modal.radicado_anexo = radicado_anexo;
    modal.opcion = opcion;
    modal.selectOptions = selectOptions;
    modal.task_id = task_id;
    modal.instance_process_id = instance_process_id;
    modal.tituloModal = (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.modalTitulo;
    modal.observacionVisible = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expObservacionVisible;
    modal.modalConsultar = (_d = this.datosRadAnexos) === null || _d === void 0 ? void 0 : _d.verificarConsultar;
    modal.radicado_principal = radicado_principal;
    modal.indexRad = index;
    modal.Open();
  }
  render() {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    this.filterExpedient();
    return (h("div", { class: "scrd-file" },
      h("div", { class: "row" },
        h("div", { class: "col-md-12 " },
          h("label", { class: "scrd-file-label" }, (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.titulo))),
      h("div", { class: "row" },
        h("div", { class: "col-md-12 mt-3" },
          h("div", { class: "scrd-dropdown" },
            h("select", { onInput: event => this.handleSecondSelect(event), required: true },
              h("option", { value: -1, selected: true }, "Seleccione una opci\u00F3n..."), (_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 :
              _b.selectOptions.map(recipient => (h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.id }, recipient === null || recipient === void 0 ? void 0 : recipient.name)))),
            h("span", { class: "focus" })))),
      this.secondSelectValue !== '-1' ? (h("div", { class: "row" },
        h("div", { class: "col-md-12  mt-3" },
          h("label", { class: "button button2" },
            h("label", { class: "cvp-label-attach" }),
            h("span", { class: "scrd-file-span-attach" }, (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.btn),
            h("input", { class: "scrd-input-file", id: "file", type: "file", onChange: event => this.onFileChange(event) }))))) : (h("div", null)),
      h("div", { class: "row" },
        h("div", { class: "col-md-12 mt-3 mb-5 text-center" }, (_d = this.anexosFiltrados) === null || _d === void 0 ? void 0 :
          _d.map((radicados, index) => {
            var _a, _b, _c;
            return (h("div", null,
              h("table", { class: "scrd-table-radio" },
                h("tr", null,
                  this.flagAnexosTrd ? (h("td", { class: "cell-radio" },
                    h("button", { type: "button", class: "scrd-pdf", title: "Ver", onClick: () => this.radioChange(radicados, 'radicado') },
                      h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", fill: "currentColor", class: "bi bi-eye-fill", viewBox: "0 0 16 16" },
                        h("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
                        h("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" }))))) : (h("div", null)),
                  ((_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.modalVisible) ? (h("td", { colSpan: 2 },
                    h("div", { class: "text-center" },
                      h("span", { class: "scrd-span-radio scrd-tooltip" },
                        ' ', radicados === null || radicados === void 0 ? void 0 :
                        radicados.radicado_tipo_documental,
                        h("span", { class: "tooltiptext" },
                          "Fecha: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_fecha,
                          " Radicado: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_numero))))) : (h("td", null,
                    h("div", { class: "text-center" },
                      h("span", { class: "scrd-span-radio scrd-tooltip" },
                        ' ', radicados === null || radicados === void 0 ? void 0 :
                        radicados.radicado_tipo_documental,
                        h("span", { class: "tooltiptext" },
                          "Fecha: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_fecha,
                          " Radicado: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_numero))))),
                  this.flagAnexosTrd ? (h("td", { class: "cell-radio" },
                    h("button", { type: "button", class: "scrd-download", title: "Descargar", onClick: () => this.downloadRadChange(radicados) },
                      h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                        h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                        h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" }))))) : (h("div", null)),
                  ((_b = radicados === null || radicados === void 0 ? void 0 : radicados.anexos_radicados) === null || _b === void 0 ? void 0 : _b.length) > 0 ? (h("td", { class: "cell-radio" }, this.idAnexos !== index ? (h("button", { class: "scrd-download", onClick: () => this.showList(index) },
                    h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-chevron-down", viewBox: "0 0 16 16" },
                      h("path", { "fill-rule": "evenodd", d: "M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z" })))) : (h("button", { class: "scrd-download", onClick: () => this.hideList() },
                    h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-chevron-up", viewBox: "0 0 16 16" },
                      h("path", { "fill-rule": "evenodd", d: "M7.646 4.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1-.708.708L8 5.707l-5.646 5.647a.5.5 0 0 1-.708-.708l6-6z" })))))) : (h("div", null))),
                this.idAnexos === index ? ((_c = radicados === null || radicados === void 0 ? void 0 : radicados.anexos_radicados) === null || _c === void 0 ? void 0 : _c.map(anexos => {
                  var _a, _b;
                  return (h("tr", { class: "scrd-sub-row" },
                    h("td", { class: "cell-radio" },
                      h("button", { type: "button", class: "scrd-pdf-a", title: "Ver", onClick: () => this.radioChange(anexos, 'anexo') },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "24", height: "24", fill: "currentColor", class: "bi bi-eye-fill", viewBox: "0 0 16 16" },
                          h("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
                          h("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" })))),
                    (anexos === null || anexos === void 0 ? void 0 : anexos.flagDeleteFile) === true ? (h("div", { class: "scrd-d-content" },
                      h("td", null,
                        h("div", { class: "text-center" },
                          h("span", { class: "scrd-span-radio-a scrd-tooltip" }, anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_tipo_documental_nombre.toUpperCase(),
                            h("span", { class: "tooltiptext" },
                              "Fecha: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_fecha,
                              " C\u00F3digo: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_codigo,
                              " Formato: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_formato,
                              " Creador: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_usuario)))),
                      h("td", { class: "cell-radio" },
                        h("button", { type: "button", class: "scrd-download-a", title: "Descargar", onClick: () => this.downloadChange(anexos) },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                            h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                            h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" })))),
                      h("td", { class: "cell-radio" },
                        h("button", { type: "button", class: "scrd-remove-download", title: "Eliminar", onClick: () => this.removeFile(anexos) },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-trash", viewBox: "0 0 16 16" },
                            h("path", { d: "M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z" }),
                            h("path", { "fill-rule": "evenodd", d: "M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z" })))),
                      ((_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.modalVisible) ? (h("td", { class: "cell-radio" },
                        h("button", { type: "button", class: anexos.opcion ? 'scrd-open' : 'scrd-edit', title: anexos.opcion ? 'Revisado' : 'Revisar', onClick: () => {
                            var _a, _b, _c, _d;
                            return this.openModal(anexos.anexo_codigo, anexos.opcion, this.datosRadAnexos.expediente.expSelectModal, anexos.observacion, (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.instance_process_id, (_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.task_id, radicados === null || radicados === void 0 ? void 0 : radicados.radicado_numero, index);
                          } },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-check-circle-fill", viewBox: "0 0 16 16" },
                            h("path", { d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" }))),
                        h("annexes-modal-bundle", null))) : null)) : (h("div", { class: "scrd-d-content" },
                      h("td", { colSpan: 2 },
                        h("div", { class: "text-center" },
                          h("span", { class: "scrd-span-radio-a scrd-tooltip" }, anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_tipo_documental_nombre.toUpperCase(),
                            h("span", { class: "tooltiptext" },
                              "Fecha: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_fecha,
                              " C\u00F3digo: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_codigo,
                              " Formato: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_formato,
                              " Creador: ", anexos === null || anexos === void 0 ? void 0 :
                              anexos.anexo_usuario)))),
                      h("td", { class: "cell-radio" },
                        h("button", { type: "button", class: "scrd-download-a", title: "Descargar", onClick: () => this.downloadChange(anexos) },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                            h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                            h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" })))),
                      ((_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 : _b.modalVisible) ? (h("td", { class: "cell-radio" },
                        h("button", { type: "button", class: anexos.opcion ? 'scrd-open' : 'scrd-edit', title: anexos.opcion ? 'Revisado' : 'Revisar', onClick: () => {
                            var _a, _b, _c, _d;
                            return this.openModal(anexos.anexo_codigo, anexos.opcion, this.datosRadAnexos.expediente.expSelectModal, anexos.observacion, (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.instance_process_id, (_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.task_id, radicados === null || radicados === void 0 ? void 0 : radicados.radicado_numero, index);
                          } },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-check-circle-fill", viewBox: "0 0 16 16" },
                            h("path", { d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" }))),
                        h("annexes-modal-bundle", null))) : null))));
                })) : (h("div", null)))));
          }),
          ((_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.btnVerificacionVisible) ? (h("div", { class: "row" },
            h("div", { class: "col-md-12" },
              h("button", { class: "button button3 mt-4", type: "button", onClick: () => this.guardarVerificar() }, (_f = this.datosRadAnexos) === null || _f === void 0 ? void 0 : _f.btnVerificacion)))) : (h("div", null)),
          ((_g = this.datosRadAnexos) === null || _g === void 0 ? void 0 : _g.btnReportVisible) ? (h("div", { class: "row" },
            h("div", { class: "col-md-12" },
              h("button", { class: "button button2 mt-4", type: "button", onClick: () => this.reportPdf() }, (_h = this.datosRadAnexos) === null || _h === void 0 ? void 0 : _h.btnReport)))) : (h("div", null))))));
  }
  static get is() { return "scrd-annexes-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["annexes-list.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["annexes-list.css"]
  }; }
  static get properties() { return {
    "datosRadAnexos": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "modelAnnexesList",
        "resolved": "modelAnnexesList",
        "references": {
          "modelAnnexesList": {
            "location": "import",
            "path": "../../interface/annexes-list/annexes-list.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "flagAnexosTrd": {
      "type": "boolean",
      "mutable": true,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "flag-anexos-trd",
      "reflect": false,
      "defaultValue": "true"
    }
  }; }
  static get states() { return {
    "idAnexos": {},
    "anexosFiltrados": {},
    "value": {},
    "selectValue": {},
    "secondSelectValue": {},
    "anexosVerificados": {}
  }; }
  static get events() { return [{
      "method": "reportChanged",
      "name": "reportChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "removeFileChanged",
      "name": "removeFileChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "downloadRadChanged",
      "name": "downloadRadChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "downloadAnnexeChanged",
      "name": "downloadAnnexeChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "radioChanged",
      "name": "radioChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "fileChanged",
      "name": "fileChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "annexesVerified",
      "name": "annexesVerified",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get elementRef() { return "element"; }
  static get listeners() { return [{
      "name": "submitModal",
      "method": "submitModalHandler",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
