import { Component, h, Method, Element, State, Listen, Event, Prop } from '@stencil/core';
export class AnnexesListModal {
  constructor() {
    this.show = false;
  }
  async Open() {
    this.show = true;
  }
  closeModalHandler() {
    this.show = false;
  }
  submitModalHandler(dato) {
    this.submitModal.emit(dato === null || dato === void 0 ? void 0 : dato.detail);
    this.show = false;
  }
  render() {
    let content = null;
    const datos = {
      selectOptions: this.selectOptions,
      radicado_anexo: this.radicado_anexo,
      instance_process_id: this.instance_process_id,
      instance_process_id_parent: this.instance_process_id_parent,
      task_id: this.task_id,
      opcion: this.opcion,
      observacion: this.observacion,
    };
    if (this.show) {
      content = [
        h("annexes-list-backdrop", null),
        h("annexes-list-modal", { datosAnnexesListModal: datos, titulo: this.tituloModal, observacionVisible: this.observacionVisible, modalConsultar: this.modalConsultar, radicado_principal: this.radicado_principal, indexRad: this.indexRad }),
      ];
    }
    return content;
  }
  static get is() { return "annexes-modal-bundle"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["annexes-modal-bundle.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["annexes-modal-bundle.css"]
  }; }
  static get properties() { return {
    "radicado_anexo": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "radicado_anexo",
      "reflect": false
    },
    "instance_process_id": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "instance_process_id",
      "reflect": false
    },
    "instance_process_id_parent": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "instance_process_id_parent",
      "reflect": false
    },
    "task_id": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "task_id",
      "reflect": false
    },
    "selectOptions": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "select-options",
      "reflect": false
    },
    "opcion": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "opcion",
      "reflect": false
    },
    "observacion": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "observacion",
      "reflect": false
    },
    "tituloModal": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "titulo-modal",
      "reflect": false
    },
    "observacionVisible": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "observacion-visible",
      "reflect": false
    },
    "modalConsultar": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "modal-consultar",
      "reflect": false
    },
    "radicado_principal": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "radicado_principal",
      "reflect": false
    },
    "indexRad": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "index-rad",
      "reflect": false
    }
  }; }
  static get states() { return {
    "show": {}
  }; }
  static get events() { return [{
      "method": "submitModal",
      "name": "submitModal",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get methods() { return {
    "Open": {
      "complexType": {
        "signature": "() => Promise<void>",
        "parameters": [],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<void>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
  static get elementRef() { return "modalEle"; }
  static get listeners() { return [{
      "name": "close",
      "method": "closeModalHandler",
      "target": undefined,
      "capture": false,
      "passive": false
    }, {
      "name": "changedSubmit",
      "method": "submitModalHandler",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
