import { Component, h, Prop, State, Event } from '@stencil/core';
import { defaultValidator, FormValueValidator } from '../../validators/formValue-validator';
export class AssignTask {
  constructor() {
    this._validator = defaultValidator;
  }
  handleSubmit(e) {
    e.preventDefault();
    const request = {
      selectTask: this.taskSelected,
      selectUser: this.userSelected,
    };
    this.changed.emit(request);
  }
  handleTaskSelect(event) {
    this.taskSelected = event.target.value;
    this._validator.validateSelect(this.taskSelected);
    this.getUsers(this.taskSelected);
  }
  handleUserSearch(event) {
    this.userSelected = event.target.value;
    this._validator.validateSelect(this.userSelected);
  }
  async getUsers(rol) {
    var _a;
    try {
      // const response = await fetch("https://www.reddit.com/r/gifs/hot/.json?limit=10");
      const response = await fetch("https://dev-sso.scrd.gov.co/auth/admin/realms/SCRD/roles/" + rol + "/users", {
        headers: {
          'Content-Type': 'application/json',
          "Authorization": 'Bearer ' + ((_a = this.datosAssign) === null || _a === void 0 ? void 0 : _a.token)
        }
      });
      const json = await response.json();
      console.log('json :>> ', json);
      let datosSelect = json === null || json === void 0 ? void 0 : json.map(respuesta => {
        return {
          id: respuesta === null || respuesta === void 0 ? void 0 : respuesta.username,
          name: respuesta === null || respuesta === void 0 ? void 0 : respuesta.username,
        };
      });
      this.selectUsers = datosSelect;
    }
    catch (error) {
      console.log('error :>> ', error);
    }
  }
  render() {
    var _a, _b, _c, _d, _e;
    const request = {
      input: this.value,
      select: this.taskSelected,
    };
    this._validator = FormValueValidator(request);
    return (h("form", { onSubmit: e => this.handleSubmit(e) },
      h("div", { class: "scrd-card" },
        h("div", { class: "scrd-card-header" },
          h("h2", { class: "scrd-card-title" }, (_a = this.datosAssign) === null || _a === void 0 ? void 0 : _a.titulo)),
        h("div", { class: "scrd-card-body" },
          h("div", { class: "row mb-3" },
            h("div", { class: "col-md-7" },
              h("div", { class: "scrd-dropdown" },
                h("select", { onInput: event => this.handleTaskSelect(event), required: true },
                  h("option", { value: -1, selected: true }, "Seleccione una opci\u00F3n..."), (_c = (_b = this.datosAssign) === null || _b === void 0 ? void 0 : _b.selectOptions) === null || _c === void 0 ? void 0 :
                  _c.map(recipient => (h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.id }, recipient === null || recipient === void 0 ? void 0 : recipient.name)))),
                h("span", { class: "focus" })))),
          (this.selectUsers !== undefined) && (this.taskSelected !== undefined && this.taskSelected != '-1') ? (h("div", { class: "row" },
            h("div", { class: "col-md-7" },
              h("div", { class: "scrd-dropdown" },
                h("select", { onInput: event => this.handleUserSearch(event), required: true },
                  h("option", { value: -1, selected: true }, "Seleccione una opci\u00F3n..."), (_d = this.selectUsers) === null || _d === void 0 ? void 0 :
                  _d.map(recipient => (h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.id }, recipient === null || recipient === void 0 ? void 0 : recipient.name)))),
                h("span", { class: "focus" }))))) : null,
          (this.userSelected !== undefined && this.userSelected != '-1') && (this.taskSelected !== undefined && this.taskSelected != '-1') ? (h("div", { class: "row mt-5" },
            h("div", { class: "col-md-2 text-center" },
              h("button", { class: "button button1", type: "submit" }, (_e = this.datosAssign) === null || _e === void 0 ? void 0 : _e.btn)))) : null))));
  }
  static get is() { return "scrd-assign-task"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["assign-task.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["assign-task.css"]
  }; }
  static get properties() { return {
    "datosAssign": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "modelAssignTask",
        "resolved": "modelAssignTask",
        "references": {
          "modelAssignTask": {
            "location": "import",
            "path": "../../interface/assign-task/assign.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "validator": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "validator",
      "reflect": false
    }
  }; }
  static get states() { return {
    "value": {},
    "selectValue": {},
    "taskSelected": {},
    "userSelected": {},
    "selectUsers": {}
  }; }
  static get events() { return [{
      "method": "changed",
      "name": "changed",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
