import { Component, h, Prop } from '@stencil/core';
export class AutoGrid {
  getEdad(dateString) {
    let hoy = new Date();
    let fechaNacimiento = new Date(dateString);
    let edad = hoy.getFullYear() - fechaNacimiento.getFullYear();
    let diferenciaMeses = hoy.getMonth() - fechaNacimiento.getMonth();
    if (diferenciaMeses < 0 || (diferenciaMeses === 0 && hoy.getDate() < fechaNacimiento.getDate())) {
      edad--;
    }
    return edad || '';
  }
  render() {
    var _a, _b, _c, _d;
    const datos = this.datosJson || [];
    const datosTitulos = this.datosJsonUsuarioTitulos || [];
    const datosValores = this.datosJsonUsuarioValores || [];
    const datosGrupos = this.grupoUsuario || '';
    const fechaNacimiento = (datosTitulos === null || datosTitulos === void 0 ? void 0 : datosTitulos.fechaNacimiento) || [];
    if (fechaNacimiento !== []) {
      let dia = (_a = fechaNacimiento[0]) === null || _a === void 0 ? void 0 : _a.split('/')[0];
      let mes = (_b = fechaNacimiento[0]) === null || _b === void 0 ? void 0 : _b.split('/')[1];
      let anio = (_c = fechaNacimiento[0]) === null || _c === void 0 ? void 0 : _c.split('/')[2];
      let fechaInicial = anio + '/' + mes + '/' + dia;
      this.edad = this.getEdad(fechaInicial);
    }
    if (this.edad === '') {
      this.grupoEtario = '';
    }
    else if (this.edad <= 13) {
      this.grupoEtario = 'Infante';
    }
    else if (this.edad >= 14 && this.edad <= 28) {
      this.grupoEtario = 'Adolescente o joven';
    }
    else if (this.edad > 28 && this.edad <= 59) {
      this.grupoEtario = 'Adulto';
    }
    else if (this.edad >= 60) {
      this.grupoEtario = 'Persona mayor';
    }
    else {
      this.grupoEtario = '';
    }
    const keys = Object.entries(datosTitulos);
    let titulos = [];
    let grupos = datosGrupos === null || datosGrupos === void 0 ? void 0 : datosGrupos.split(',');
    let gruposSinId = [];
    let resultGrupos = [];
    datosValores === null || datosValores === void 0 ? void 0 : datosValores.forEach(jsonValores => {
      if ((grupos === null || grupos === void 0 ? void 0 : grupos.length) > 0 && grupos[0] !== "") {
        grupos.forEach(itemGrupos => {
          if ((jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.group) === itemGrupos) {
            keys === null || keys === void 0 ? void 0 : keys.forEach(itemsTitulos => {
              if (itemsTitulos[0] === (jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.name)) {
                titulos === null || titulos === void 0 ? void 0 : titulos.push([jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.displayName, itemsTitulos[1][0], itemGrupos]);
              }
            });
          }
        });
      }
      else {
        keys === null || keys === void 0 ? void 0 : keys.forEach(itemsTitulos => {
          if (itemsTitulos[0] === (jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.name)) {
            titulos === null || titulos === void 0 ? void 0 : titulos.push([jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.displayName, itemsTitulos[1][0], jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.group]);
            gruposSinId.push(jsonValores === null || jsonValores === void 0 ? void 0 : jsonValores.group);
            resultGrupos = gruposSinId.filter((item, index) => {
              return gruposSinId.indexOf(item) === index;
            });
          }
        });
      }
    });
    return (h("div", null,
      grupos[0] !== '' ? (grupos === null || grupos === void 0 ? void 0 : grupos.map(elementos => {
        var _a;
        return (h("div", { class: "row" },
          h("div", { class: "col-md-12" },
            h("h1", { class: "tituloSeccion" }, elementos)), (_a = titulos.filter(x => x[2] === elementos)) === null || _a === void 0 ? void 0 :
          _a.map(keys => (h("div", { class: "col-md-4 mb-1 documentText" },
            h("span", { class: "tituloGrid me-3" }, keys[0]),
            h("span", { class: "descripcionGrid", "data-toggle": "tooltip", "data-placement": "bottom", title: keys[1] }, keys[1]))))));
      })) : (resultGrupos === null || resultGrupos === void 0 ? void 0 : resultGrupos.map(elementos => {
        var _a;
        return (h("div", { class: "row" },
          h("div", { class: "col-md-12" },
            h("h1", { class: "tituloSeccion" }, elementos)), (_a = titulos.filter(x => x[2] === elementos)) === null || _a === void 0 ? void 0 :
          _a.map(keys => (h("div", { class: "col-md-4 mb-1 documentText" },
            h("span", { class: "tituloGrid me-3" }, keys[0]),
            h("span", { class: "descripcionGrid", "data-toggle": "tooltip", "data-placement": "bottom", title: keys[1] }, keys[1]))))));
      })),
      h("div", { class: "row" },
        h("div", { class: "col-md-4 mb-1" },
          h("span", { class: "tituloGrid me-3" }, "Edad"),
          this.edad ?
            h("span", { class: "descripcionGrid" },
              this.edad,
              " a\u00F1os")
            :
              null),
        h("div", { class: "col-md-4 mb-1" },
          h("span", { class: "tituloGrid me-3" }, "Grupo etario"),
          h("span", { class: "descripcionGrid" }, this.grupoEtario))),
      h("div", { class: "row mt-4 mb-3" },
        h("div", { class: "col-md-8" },
          h("h1", { class: "tituloSeccion" },
            "Informaci\u00F3n del ",
            this.tituloTramite))),
      h("div", { class: "row" }, (_d = Object === null || Object === void 0 ? void 0 : Object.entries(datos)) === null || _d === void 0 ? void 0 : _d.map(keys => {
        var _a, _b, _c, _d, _e, _f;
        return (h("div", { class: "col-md-4 mb-1" },
          h("span", { class: "tituloGrid me-3" }, ((_b = (_a = keys[0]) === null || _a === void 0 ? void 0 : _a.charAt(0)) === null || _b === void 0 ? void 0 : _b.toUpperCase()) + ((_f = (_e = (_d = (_c = keys[0]) === null || _c === void 0 ? void 0 : _c.split('-')) === null || _d === void 0 ? void 0 : _d.join(' ')) === null || _e === void 0 ? void 0 : _e.slice(1)) === null || _f === void 0 ? void 0 : _f.toLowerCase())),
          h("span", { class: "descripcionGrid" }, keys[1])));
      }))));
  }
  static get is() { return "scrd-auto-grid"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["auto-grid.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["auto-grid.css"]
  }; }
  static get properties() { return {
    "tituloTramite": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "titulo-tramite",
      "reflect": false
    },
    "datosJson": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "datos-json",
      "reflect": false
    },
    "datosJsonUsuarioTitulos": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "datos-json-usuario-titulos",
      "reflect": false
    },
    "datosJsonUsuarioValores": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "datos-json-usuario-valores",
      "reflect": false
    },
    "grupoUsuario": {
      "type": "any",
      "mutable": false,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "grupo-usuario",
      "reflect": false
    }
  }; }
}
