import { Component, Event, h, Prop } from '@stencil/core';
export class Paginator {
  constructor() {
    this.page = 0;
    this.pageCount = 0;
  }
  handlePrevious(event) {
    if (this.page !== 0) {
      this.handleSelect(event, this.page - 1);
    }
  }
  handleNext(event) {
    if (this.page !== this.pageCount - 1) {
      this.handleSelect(event, this.page + 1);
    }
  }
  handleSelect(event, index) {
    event.preventDefault();
    this.pageChanged.emit(index);
  }
  render() {
    if (this.itemCount) {
      let pages = [];
      const start = this.page * this.pageSize + 1;
      const end = this.page * this.pageSize + this.pageSize;
      for (let i = 0; i < this.itemCount / this.pageSize; i++) {
        pages.push(i);
      }
      this.pageCount = pages.length;
      return (h("div", null,
        h("div", { class: "row" },
          h("div", { class: "col-md-8" },
            h("nav", null,
              h("ul", { class: "pagination justify-content-start" },
                h("li", { class: this.page === 0 ? 'page-item disabled' : 'page-item' },
                  h("a", { class: "page-link", onClick: event => this.handlePrevious(event) }, "Anterior")),
                pages.map(index => (h("li", { class: this.page === index ? 'page-item d-flex active' : 'page-item d-flex' },
                  h("a", { class: "page-link", onClick: event => this.handleSelect(event, index) }, index + 1)))),
                h("li", { class: this.page === pages.length - 1 ? 'page-item disabled' : 'page-item' },
                  h("a", { class: "page-link", onClick: event => this.handleNext(event) }, "Siguiente"))))),
          h("div", { class: "col-md-4" },
            h("span", { class: "counts" },
              "Mostrando ",
              start,
              " - ",
              this.page === pages[pages.length - 1] ? this.itemCount : end,
              " de ",
              this.itemCount,
              " resultados")))));
    }
  }
  static get is() { return "scrd-paginator"; }
  static get originalStyleUrls() { return {
    "$": ["paginator.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["paginator.css"]
  }; }
  static get properties() { return {
    "page": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "page",
      "reflect": false,
      "defaultValue": "0"
    },
    "pageSize": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "page-size",
      "reflect": false
    },
    "itemCount": {
      "type": "number",
      "mutable": false,
      "complexType": {
        "original": "number",
        "resolved": "number",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "item-count",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "pageChanged",
      "name": "pageChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "sizeChanged",
      "name": "sizeChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
