import { Component, h, Prop, State, Event, Element, Listen } from '@stencil/core';
export class AnnexesList {
  constructor() {
    this.idAnexos = 0;
    this.flagAnexosTrd = true;
    this.secondSelectValue = '-1';
    this.pages = 6;
    this.page = 0;
    this.pageSize = 4;
  }
  onFileChange(event) {
    const requestArchivo = {
      file: event,
      tipo: this.secondSelectValue,
    };
    this.fileChanged.emit(requestArchivo);
  }
  radioChange(event, tipo) {
    const datos = {
      event,
      tipo,
    };
    this.radioChanged.emit(datos);
  }
  downloadRadChange(event) {
    this.downloadRadChanged.emit(event);
  }
  downloadChange(event) {
    this.downloadAnnexeChanged.emit(event);
  }
  showList(id) {
    this.idAnexos = id;
  }
  hideList() {
    this.idAnexos = null;
  }
  removeFile(codigo) {
    this.removeFileChanged.emit(codigo);
  }
  reportPdf() {
    this.reportChanged.emit(true);
  }
  guardarVerificar() {
    var _a;
    const datosAnexosVerificados = ((_a = this.anexosVerificados) === null || _a === void 0 ? void 0 : _a.map(({ instance_process_id, instance_process_id_parent, observacion, opcion, radicado_anexo, task_id, radicado_principal }) => {
      return {
        instance_process_id: instance_process_id,
        instance_process_id_parent: instance_process_id_parent,
        observacion: observacion || '',
        opcion: opcion,
        radicado_anexo: radicado_anexo,
        task_id: task_id,
        radicado_principal: radicado_principal,
      };
    })) || [];
    this.annexesVerified.emit(datosAnexosVerificados);
  }
  submitModalHandler(dato) {
    var _a, _b, _c, _d, _e, _f;
    const newArray = (_c = (_b = (_a = this.anexosFiltrados) === null || _a === void 0 ? void 0 : _a.filter(x => { var _a; return x.radicado_numero === ((_a = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _a === void 0 ? void 0 : _a.radicado_principal); })[0]) === null || _b === void 0 ? void 0 : _b.anexos_radicados) === null || _c === void 0 ? void 0 : _c.filter(y => { var _a; return y.anexo_codigo === ((_a = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _a === void 0 ? void 0 : _a.radicado_anexo); });
    newArray[0].opcion = (_d = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _d === void 0 ? void 0 : _d.opcion;
    newArray[0].observacion = (_e = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _e === void 0 ? void 0 : _e.observacion;
    this.anexosVerificados = this.anexosVerificados || [];
    const indexAnexos = this.anexosVerificados
      .map(function (e) {
      return e.radicado_anexo;
    })
      .indexOf(dato.detail.radicado_anexo);
    if (indexAnexos === -1) {
      this.anexosVerificados.push(dato.detail);
    }
    else {
      this.anexosVerificados.splice(indexAnexos, 1, dato.detail);
    }
    this.idAnexos = null;
    this.idAnexos = (_f = dato === null || dato === void 0 ? void 0 : dato.detail) === null || _f === void 0 ? void 0 : _f.indexRad;
  }
  filterExpedient() {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r, _s, _t, _u, _v, _w, _x, _y, _z, _0, _1, _2, _3, _4;
    if (!((_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.expAll)) {
      if (((_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.expTrd) != null || ((_f = (_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.expediente) === null || _f === void 0 ? void 0 : _f.expTrd) != undefined) {
        const allowed = (_j = (_h = (_g = this.datosRadAnexos) === null || _g === void 0 ? void 0 : _g.expediente) === null || _h === void 0 ? void 0 : _h.expTrd) === null || _j === void 0 ? void 0 : _j.split(',');
        this.anexosFiltrados = (_m = (_l = (_k = this.datosRadAnexos) === null || _k === void 0 ? void 0 : _k.expediente) === null || _l === void 0 ? void 0 : _l.expediente_radicados) === null || _m === void 0 ? void 0 : _m.filter(element => {
          var _a;
          const anexoList = (_a = element === null || element === void 0 ? void 0 : element.anexos_radicados) === null || _a === void 0 ? void 0 : _a.filter(anexo => {
            return allowed.find(obj => obj === anexo.anexo_tipo_documental_nombre.toUpperCase());
          });
          if (anexoList.length > 0) {
            element.anexos_radicados = anexoList;
            return element.anexos_radicados;
          }
        });
        this.flagAnexosTrd = false;
        if (this.searchFilter) {
          const dataToSearch = (_q = (_p = (_o = this.datosRadAnexos) === null || _o === void 0 ? void 0 : _o.expediente) === null || _p === void 0 ? void 0 : _p.expediente_radicados) === null || _q === void 0 ? void 0 : _q.filter(element => {
            var _a;
            const anexoList = (_a = element === null || element === void 0 ? void 0 : element.anexos_radicados) === null || _a === void 0 ? void 0 : _a.filter(anexo => {
              return allowed.find(obj => obj === anexo.anexo_tipo_documental_nombre.toUpperCase());
            });
            if (anexoList.length > 0) {
              element.anexos_radicados = anexoList;
              return element.anexos_radicados;
            }
          });
          const searchFilterData = dataToSearch === null || dataToSearch === void 0 ? void 0 : dataToSearch.filter(elemento => {
            var _a, _b, _c, _d, _e, _f, _g;
            return (((_b = (_a = elemento === null || elemento === void 0 ? void 0 : elemento.radicado_numero) === null || _a === void 0 ? void 0 : _a.toLowerCase()) === null || _b === void 0 ? void 0 : _b.includes((_c = this.searchFilter) === null || _c === void 0 ? void 0 : _c.toLowerCase())) ||
              ((_f = (_e = (_d = elemento === null || elemento === void 0 ? void 0 : elemento.radicado_tipo_documental) === null || _d === void 0 ? void 0 : _d.toString()) === null || _e === void 0 ? void 0 : _e.toLowerCase()) === null || _f === void 0 ? void 0 : _f.includes((_g = this.searchFilter) === null || _g === void 0 ? void 0 : _g.toLowerCase())));
          });
          this.anexosFiltrados = searchFilterData;
          this.radicadosTotales = (_r = this.anexosFiltrados) === null || _r === void 0 ? void 0 : _r.length;
          if (((_s = this.datosRadAnexos) === null || _s === void 0 ? void 0 : _s.paginadorVisible) === false) {
            this.pageSize = this.radicadosTotales;
          }
          this.showig_rows_count();
        }
        else {
          this.radicadosTotales = (_t = this.anexosFiltrados) === null || _t === void 0 ? void 0 : _t.length;
          if (((_u = this.datosRadAnexos) === null || _u === void 0 ? void 0 : _u.paginadorVisible) === false) {
            this.pageSize = this.radicadosTotales;
          }
          this.showig_rows_count();
        }
      }
      else {
        this.anexosFiltrados = [];
        this.radicadosTotales = (_v = this.anexosFiltrados) === null || _v === void 0 ? void 0 : _v.length;
        if (((_w = this.datosRadAnexos) === null || _w === void 0 ? void 0 : _w.paginadorVisible) === false) {
          this.pageSize = this.radicadosTotales;
        }
        this.showig_rows_count();
      }
    }
    else {
      if (this.searchFilter) {
        const dataToSearch = (_y = (_x = this.datosRadAnexos) === null || _x === void 0 ? void 0 : _x.expediente) === null || _y === void 0 ? void 0 : _y.expediente_radicados;
        const searchFilterData = dataToSearch === null || dataToSearch === void 0 ? void 0 : dataToSearch.filter(elemento => {
          var _a, _b, _c, _d, _e, _f, _g;
          return (((_b = (_a = elemento === null || elemento === void 0 ? void 0 : elemento.radicado_numero) === null || _a === void 0 ? void 0 : _a.toLowerCase()) === null || _b === void 0 ? void 0 : _b.includes((_c = this.searchFilter) === null || _c === void 0 ? void 0 : _c.toLowerCase())) ||
            ((_f = (_e = (_d = elemento === null || elemento === void 0 ? void 0 : elemento.radicado_tipo_documental) === null || _d === void 0 ? void 0 : _d.toString()) === null || _e === void 0 ? void 0 : _e.toLowerCase()) === null || _f === void 0 ? void 0 : _f.includes((_g = this.searchFilter) === null || _g === void 0 ? void 0 : _g.toLowerCase())));
        });
        this.anexosFiltrados = searchFilterData;
        this.radicadosTotales = (_z = this.anexosFiltrados) === null || _z === void 0 ? void 0 : _z.length;
        if (((_0 = this.datosRadAnexos) === null || _0 === void 0 ? void 0 : _0.paginadorVisible) === false) {
          this.pageSize = this.radicadosTotales;
        }
        this.showig_rows_count();
      }
      else {
        this.anexosFiltrados = (_2 = (_1 = this.datosRadAnexos) === null || _1 === void 0 ? void 0 : _1.expediente) === null || _2 === void 0 ? void 0 : _2.expediente_radicados;
        this.radicadosTotales = (_3 = this.anexosFiltrados) === null || _3 === void 0 ? void 0 : _3.length;
        if (((_4 = this.datosRadAnexos) === null || _4 === void 0 ? void 0 : _4.paginadorVisible) === false) {
          this.pageSize = this.radicadosTotales;
        }
        this.showig_rows_count();
      }
    }
  }
  handleSecondSelect(event) {
    var _a, _b;
    let tipoFile = event.target.value.split(';')[1];
    if (tipoFile === 'Salida') {
      this.extensionFinal = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.extensionSalida;
    }
    else {
      this.extensionFinal = (_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 : _b.extension;
    }
    this.secondSelectValue = event.target.value;
  }
  openModal(radicado_anexo, opcion, selectOptions, observacion, instance_process_id, instance_process_id_parent, task_id, radicado_principal, index) {
    var _a, _b, _c, _d;
    const list = this.element.shadowRoot;
    const modal = list.querySelector('annexes-modal-bundle');
    modal.observacion = observacion;
    modal.radicado_anexo = radicado_anexo;
    modal.opcion = opcion;
    modal.selectOptions = selectOptions;
    modal.task_id = task_id;
    modal.instance_process_id = instance_process_id;
    modal.instance_process_id_parent = instance_process_id_parent;
    modal.tituloModal = (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.modalTitulo;
    modal.observacionVisible = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expObservacionVisible;
    modal.modalConsultar = (_d = this.datosRadAnexos) === null || _d === void 0 ? void 0 : _d.verificarConsultar;
    modal.radicado_principal = radicado_principal;
    modal.indexRad = index;
    modal.Open();
  }
  /** Paginación */
  handleListTable(event) {
    this.pageSize = parseInt(event.target.value);
    this.page = 0;
    this.filterExpedient();
  }
  handleSearchTable(event) {
    this.searchFilter = event.target.value;
    this.filterExpedient();
  }
  handleSelected(event) {
    this.page = event.detail;
    this.showig_rows_count();
  }
  //ROWS SHOWING FUNCTION
  showig_rows_count() {
    var _a, _b;
    let arregloDeArreglos = []; // Aquí almacenamos los nuevos arreglos
    const LONGITUD_PEDAZOS = this.pageSize;
    for (let i = 0; i < ((_a = this.anexosFiltrados) === null || _a === void 0 ? void 0 : _a.length); i += LONGITUD_PEDAZOS) {
      let pedazo = (_b = this.anexosFiltrados) === null || _b === void 0 ? void 0 : _b.slice(i, i + LONGITUD_PEDAZOS);
      arregloDeArreglos === null || arregloDeArreglos === void 0 ? void 0 : arregloDeArreglos.push(pedazo);
    }
    for (let j = 0; j < (arregloDeArreglos === null || arregloDeArreglos === void 0 ? void 0 : arregloDeArreglos.length); j++) {
      if (j === this.page) {
        this.anexosFiltrados = arregloDeArreglos[j];
      }
    }
  }
  render() {
    var _a, _b, _c, _d, _e, _f, _g, _h, _j, _k, _l, _m, _o, _p, _q, _r;
    this.filterExpedient();
    return (h("div", { class: "scrd-file" },
      h("div", { class: "row" },
        h("div", { class: "col-md-12 " },
          h("label", { class: "scrd-file-label" }, (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.titulo))),
      ((_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 : _b.selectOptions.length) > 0 ? (h("div", { class: "row" },
        h("div", { class: "col-md-12 mt-3" },
          h("div", { class: "scrd-dropdown" },
            h("select", { onInput: event => this.handleSecondSelect(event), required: true },
              h("option", { value: -1, selected: true }, "Seleccione tipo documental"), (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 :
              _c.selectOptions.map(recipient => (h("option", { value: recipient === null || recipient === void 0 ? void 0 : recipient.id }, recipient === null || recipient === void 0 ? void 0 : recipient.name)))),
            h("span", { class: "focus" }))))) : null,
      this.secondSelectValue !== '-1' ? (h("div", { class: "row" },
        h("div", { class: "col-md-12  mt-3" },
          h("label", { class: "button button2" },
            h("label", { class: "cvp-label-attach" }),
            h("span", { class: "scrd-file-span-attach" }, (_d = this.datosRadAnexos) === null || _d === void 0 ? void 0 : _d.btn),
            h("input", { class: "scrd-input-file", id: "file", type: "file", accept: this.extensionFinal, onChange: event => this.onFileChange(event) }))))) : (h("div", null)),
      ((_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.buscadorVisible) && ((_f = this.datosRadAnexos) === null || _f === void 0 ? void 0 : _f.paginadorVisible) ? (h("div", { class: "row" },
        h("div", { class: "col-md-3 mt-3 scrd-fit-content" },
          h("div", { class: "d-flex" },
            h("p", { class: "scrd-text-qty pe-2" }, "Mostrar"),
            h("div", { class: "scrd-dropdown-qty me-2" },
              h("select", { onInput: event => this.handleListTable(event), required: true },
                h("option", { value: 4 }, "4"),
                h("option", { value: 8 }, "8"),
                h("option", { value: 16 }, "16"),
                h("option", { value: 30 }, "30")),
              h("span", { class: "focus" })),
            h("p", { class: "scrd-text-qty" }, "Resultados"))),
        h("div", { class: "col-md-4 offset-md-5 mt-3 scrd-fit-content" },
          h("div", { class: "form-field-busqueda" },
            h("input", { type: "search", value: this.value, onInput: event => this.handleSearchTable(event), class: "buscador", placeholder: "Filtre los tipos documentales" }))))) : ((_g = this.datosRadAnexos) === null || _g === void 0 ? void 0 : _g.buscadorVisible) && !((_h = this.datosRadAnexos) === null || _h === void 0 ? void 0 : _h.paginadorVisible) ? (h("div", { class: "row" },
        h("div", { class: "col-md-4 offset-md-8 mt-3 scrd-fit-content" },
          h("div", { class: "form-field-busqueda" },
            h("input", { type: "search", value: this.value, onInput: event => this.handleSearchTable(event), class: "buscador", placeholder: "Filtre los tipos documentales" }))))) : !((_j = this.datosRadAnexos) === null || _j === void 0 ? void 0 : _j.buscadorVisible) && ((_k = this.datosRadAnexos) === null || _k === void 0 ? void 0 : _k.paginadorVisible) ? (h("div", { class: "row" },
        h("div", { class: "col-md-2 mt-3 scrd-fit-content" },
          h("div", { class: "scrd-dropdown" },
            h("select", { onInput: event => this.handleListTable(event), required: true },
              h("option", { value: 1000, selected: true }, "Seleccione"),
              h("option", { value: 4 }, "4"),
              h("option", { value: 8 }, "8"),
              h("option", { value: 16 }, "16"),
              h("option", { value: 30 }, "30")),
            h("span", { class: "focus" }))))) : null,
      h("div", { class: "row" },
        h("div", { class: "col-md-12 mt-3 mb-5 text-center" },
          h("table", { cellpadding: 0, cellspacing: 0, class: "scrd-table mb-4" },
            h("div", { class: "scrd-table-tr" },
              h("tr", null,
                h("th", { colSpan: 2, class: "text-black" },
                  "Tipo documental",
                  h("br", null),
                  " Radicados y anexos"),
                h("th", { class: "cell-action text-black" }, "Acciones"))), (_l = this.anexosFiltrados) === null || _l === void 0 ? void 0 :
            _l.map((radicados, index) => {
              var _a, _b, _c;
              return (h("div", { class: "scrd-table-tr" },
                h("tr", { class: index % 2 === 0 ? 'scrd-row-even' : 'scrd-row-odd' },
                  ((_a = radicados === null || radicados === void 0 ? void 0 : radicados.anexos_radicados) === null || _a === void 0 ? void 0 : _a.length) > 0 ? (h("td", { class: "cell-radio" }, this.idAnexos !== index ? (h("button", { class: "scrd-show-list", onClick: () => this.showList(index) },
                    h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-plus-circle-fill", viewBox: "0 0 16 16" },
                      h("path", { d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zM8.5 4.5a.5.5 0 0 0-1 0v3h-3a.5.5 0 0 0 0 1h3v3a.5.5 0 0 0 1 0v-3h3a.5.5 0 0 0 0-1h-3v-3z" })))) : (h("button", { class: "scrd-hide-list", onClick: () => this.hideList() },
                    h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-patch-minus-fill", viewBox: "0 0 16 16" },
                      h("path", { d: "M10.067.87a2.89 2.89 0 0 0-4.134 0l-.622.638-.89-.011a2.89 2.89 0 0 0-2.924 2.924l.01.89-.636.622a2.89 2.89 0 0 0 0 4.134l.637.622-.011.89a2.89 2.89 0 0 0 2.924 2.924l.89-.01.622.636a2.89 2.89 0 0 0 4.134 0l.622-.637.89.011a2.89 2.89 0 0 0 2.924-2.924l-.01-.89.636-.622a2.89 2.89 0 0 0 0-4.134l-.637-.622.011-.89a2.89 2.89 0 0 0-2.924-2.924l-.89.01-.622-.636zM6 7.5h4a.5.5 0 0 1 0 1H6a.5.5 0 0 1 0-1z" })))))) : (h("div", null)),
                  ((_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 : _b.modalVisible) ? (h("td", null,
                    h("div", { class: "text-start" },
                      h("span", { class: "scrd-span-radio scrd-tooltip" },
                        (radicados === null || radicados === void 0 ? void 0 : radicados.radicado_tipo_documental.charAt(0).toUpperCase()) + (radicados === null || radicados === void 0 ? void 0 : radicados.radicado_tipo_documental.slice(1).toLowerCase()),
                        h("span", { class: "tooltiptext" },
                          "Fecha: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_fecha,
                          " Radicado: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_numero))))) : (h("td", null,
                    h("div", { class: "text-start" },
                      h("span", { class: "scrd-span-radio scrd-tooltip" }, radicados === null || radicados === void 0 ? void 0 :
                        radicados.radicado_tipo_documental,
                        h("span", { class: "tooltiptext" },
                          "Fecha: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_fecha,
                          " Radicado: ", radicados === null || radicados === void 0 ? void 0 :
                          radicados.radicado_numero))))),
                  this.flagAnexosTrd ? (h("td", { class: "cell-actions" },
                    h("button", { type: "button", class: "scrd-pdf", title: "Ver", onClick: () => this.radioChange(radicados, 'radicado') },
                      h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-eye-fill", viewBox: "0 0 16 16" },
                        h("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
                        h("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" }))),
                    h("button", { type: "button", class: "scrd-download ms-2", title: "Descargar", onClick: () => this.downloadRadChange(radicados) },
                      h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                        h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                        h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" }))))) : (h("div", null))),
                this.idAnexos === index ? ((_c = radicados === null || radicados === void 0 ? void 0 : radicados.anexos_radicados) === null || _c === void 0 ? void 0 : _c.map(anexos => {
                  var _a, _b;
                  return (h("tr", { class: "scrd-sub-row" }, (anexos === null || anexos === void 0 ? void 0 : anexos.flagDeleteFile) === true ? (h("div", { class: "scrd-d-content" },
                    h("td", { colSpan: 2 },
                      h("div", { class: "text-start" },
                        h("span", { class: "scrd-span-radio-a scrd-tooltip" },
                          (anexos === null || anexos === void 0 ? void 0 : anexos.anexo_tipo_documental_nombre.charAt(0).toUpperCase()) + (anexos === null || anexos === void 0 ? void 0 : anexos.anexo_tipo_documental_nombre.slice(1).toLowerCase()),
                          h("span", { class: "tooltiptext" },
                            "Fecha: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_fecha,
                            " C\u00F3digo: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_codigo,
                            " Formato: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_formato,
                            " Creador: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_usuario)))),
                    h("td", { class: "cell-actions" },
                      h("button", { type: "button", class: "scrd-pdf-a me-2", title: "Ver", onClick: () => this.radioChange(anexos, 'anexo') },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-eye-fill", viewBox: "0 0 16 16" },
                          h("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
                          h("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" }))),
                      h("button", { type: "button", class: "scrd-download-a", title: "Descargar", onClick: () => this.downloadChange(anexos) },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                          h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                          h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" }))),
                      h("button", { type: "button", class: "scrd-remove-download ms-2", title: "Eliminar", onClick: () => this.removeFile(anexos) },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-trash", viewBox: "0 0 16 16" },
                          h("path", { d: "M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z" }),
                          h("path", { "fill-rule": "evenodd", d: "M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z" }))),
                      ((_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.modalVisible) ? (h("div", { class: "d-inline" },
                        h("button", { type: "button", class: anexos.opcion ? 'scrd-open ms-2' : 'scrd-edit ms-2', title: anexos.opcion ? 'Revisado' : 'Revisar', onClick: () => {
                            var _a, _b, _c, _d, _e, _f;
                            return this.openModal(anexos.anexo_codigo, anexos.opcion, this.datosRadAnexos.expediente.expSelectModal, anexos.observacion, (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.instance_process_id, (_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.instance_process_id_parent, (_f = (_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.expediente) === null || _f === void 0 ? void 0 : _f.task_id, radicados === null || radicados === void 0 ? void 0 : radicados.radicado_numero, index);
                          } },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-check-circle-fill", viewBox: "0 0 16 16" },
                            h("path", { d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" }))),
                        h("annexes-modal-bundle", null))) : null))) : (h("div", { class: "scrd-d-content" },
                    h("td", { colSpan: 2 },
                      h("div", { class: "text-start" },
                        h("span", { class: "scrd-span-radio-a scrd-tooltip" },
                          (anexos === null || anexos === void 0 ? void 0 : anexos.anexo_tipo_documental_nombre.charAt(0).toUpperCase()) + (anexos === null || anexos === void 0 ? void 0 : anexos.anexo_tipo_documental_nombre.slice(1).toLowerCase()),
                          h("span", { class: "tooltiptext" },
                            "Fecha: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_fecha,
                            " C\u00F3digo: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_codigo,
                            " Formato: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_formato,
                            " Creador: ", anexos === null || anexos === void 0 ? void 0 :
                            anexos.anexo_usuario)))),
                    h("td", { class: "cell-actions" },
                      h("button", { type: "button", class: "scrd-pdf-a me-2", title: "Ver", onClick: () => this.radioChange(anexos, 'anexo') },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-eye-fill", viewBox: "0 0 16 16" },
                          h("path", { d: "M10.5 8a2.5 2.5 0 1 1-5 0 2.5 2.5 0 0 1 5 0z" }),
                          h("path", { d: "M0 8s3-5.5 8-5.5S16 8 16 8s-3 5.5-8 5.5S0 8 0 8zm8 3.5a3.5 3.5 0 1 0 0-7 3.5 3.5 0 0 0 0 7z" }))),
                      h("button", { type: "button", class: "scrd-download-a", title: "Descargar", onClick: () => this.downloadChange(anexos) },
                        h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-cloud-arrow-down", viewBox: "0 0 16 16" },
                          h("path", { "fill-rule": "evenodd", d: "M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" }),
                          h("path", { d: "M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" }))),
                      ((_b = this.datosRadAnexos) === null || _b === void 0 ? void 0 : _b.modalVisible) ? (h("div", { class: "d-inline" },
                        h("button", { type: "button", class: anexos.opcion ? 'scrd-open ms-2' : 'scrd-edit ms-2', title: anexos.opcion ? 'Revisado' : 'Revisar', onClick: () => {
                            var _a, _b, _c, _d, _e, _f;
                            return this.openModal(anexos.anexo_codigo, anexos.opcion, this.datosRadAnexos.expediente.expSelectModal, anexos.observacion, (_b = (_a = this.datosRadAnexos) === null || _a === void 0 ? void 0 : _a.expediente) === null || _b === void 0 ? void 0 : _b.instance_process_id, (_d = (_c = this.datosRadAnexos) === null || _c === void 0 ? void 0 : _c.expediente) === null || _d === void 0 ? void 0 : _d.instance_process_id_parent, (_f = (_e = this.datosRadAnexos) === null || _e === void 0 ? void 0 : _e.expediente) === null || _f === void 0 ? void 0 : _f.task_id, radicados === null || radicados === void 0 ? void 0 : radicados.radicado_numero, index);
                          } },
                          h("svg", { xmlns: "http://www.w3.org/2000/svg", width: "16", height: "16", fill: "currentColor", class: "bi bi-check-circle-fill", viewBox: "0 0 16 16" },
                            h("path", { d: "M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" }))),
                        h("annexes-modal-bundle", null))) : null)))));
                })) : (h("div", null))));
            })),
          ((_m = this.datosRadAnexos) === null || _m === void 0 ? void 0 : _m.paginadorVisible) ? h("scrd-paginator", { page: this.page, pageSize: this.pageSize, itemCount: this.radicadosTotales }) : null,
          ((_o = this.datosRadAnexos) === null || _o === void 0 ? void 0 : _o.btnVerificacionVisible) ? (h("div", { class: "row" },
            h("div", { class: "col-md-12" },
              h("button", { class: "button button2 mt-4", type: "button", onClick: () => this.guardarVerificar() }, (_p = this.datosRadAnexos) === null || _p === void 0 ? void 0 : _p.btnVerificacion)))) : (h("div", null)),
          ((_q = this.datosRadAnexos) === null || _q === void 0 ? void 0 : _q.btnReportVisible) ? (h("div", { class: "row" },
            h("div", { class: "col-md-12" },
              h("button", { class: "button button2 mt-4", type: "button", onClick: () => this.reportPdf() }, (_r = this.datosRadAnexos) === null || _r === void 0 ? void 0 : _r.btnReport)))) : (h("div", null))))));
  }
  static get is() { return "scrd-rad-annexes-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["rad-annexes-list.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["rad-annexes-list.css"]
  }; }
  static get properties() { return {
    "datosRadAnexos": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "modelAnnexesList",
        "resolved": "modelAnnexesList",
        "references": {
          "modelAnnexesList": {
            "location": "import",
            "path": "../../interface/annexes-list/annexes-list.interface"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "flagAnexosTrd": {
      "type": "boolean",
      "mutable": true,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "flag-anexos-trd",
      "reflect": false,
      "defaultValue": "true"
    }
  }; }
  static get states() { return {
    "idAnexos": {},
    "anexosFiltrados": {},
    "value": {},
    "selectValue": {},
    "secondSelectValue": {},
    "anexosVerificados": {},
    "pages": {},
    "page": {},
    "pageSize": {},
    "searchFilter": {},
    "extensionFinal": {}
  }; }
  static get events() { return [{
      "method": "reportChanged",
      "name": "reportChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "removeFileChanged",
      "name": "removeFileChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "downloadRadChanged",
      "name": "downloadRadChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "downloadAnnexeChanged",
      "name": "downloadAnnexeChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "radioChanged",
      "name": "radioChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "fileChanged",
      "name": "fileChanged",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }, {
      "method": "annexesVerified",
      "name": "annexesVerified",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
  static get elementRef() { return "element"; }
  static get listeners() { return [{
      "name": "submitModal",
      "method": "submitModalHandler",
      "target": undefined,
      "capture": false,
      "passive": false
    }, {
      "name": "pageChanged",
      "method": "handleSelected",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
