const defaultValidator = {
  validateInput: (_x) => false,
  validateSelect: (_x) => false,
};
const formValidator = {
  validateInput: (value) => {
    if (value && value !== '') {
      return true;
    }
    else {
      return false;
    }
  },
  validateSelect: (value) => {
    return value ? true : false;
  },
  errorMessage: 'Debe completar el campo obligatorio.',
};
function FormValueValidator(name) {
  if (name.select !== '' && name.select !== '0' && name.select !== undefined) {
    return formValidator;
  }
  else {
    return defaultValidator;
  }
}
function getMaxLengthValidator(max) {
  return {
    validate: (value) => {
      value = value ? value : '';
      if (max) {
        return (value === null || value === void 0 ? void 0 : value.length) <= max;
      }
      return true;
    },
    errorMessage: `Debe ingresar un valor menor a ${max} caracteres`
  };
}

export { FormValueValidator as F, defaultValidator as d, getMaxLengthValidator as g };
